curl --request GET \
--url 'callers' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"responseCode": 2000,
"message": "Phone numbers fetched successfully",
"data": [
{
"id": "***",
"user_id": "***",
"phone_number": "+18252549760",
"phone_number_details": {
"sid": "***",
"uri": "***",
"beta": false,
"origin": "twilio",
"smsUrl": "",
"status": "in-use",
"trunkSid": null,
"voiceUrl": null,
"bundleSid": null,
"smsMethod": "POST",
"accountSid": "***",
"addressSid": null,
"apiVersion": "2010-04-01",
"dateCreated": "2024-11-11T14:01:05.000Z",
"dateUpdated": "2024-11-11T14:01:05.000Z",
"identitySid": null,
"phoneNumber": "+18252549760",
"voiceMethod": "POST",
"capabilities": {
"fax": false,
"mms": true,
"sms": true,
"voice": true
},
"friendlyName": "(825) 254-9760",
"smsFallbackUrl": "",
"statusCallback": "",
"emergencyStatus": "Active",
"voiceFallbackUrl": null,
"smsApplicationSid": "",
"smsFallbackMethod": "POST",
"addressRequirements": "none",
"emergencyAddressSid": null,
"voiceApplicationSid": null,
"voiceCallerIdLookup": false,
"voiceFallbackMethod": "POST",
"statusCallbackMethod": "POST",
"emergencyAddressStatus": "unregistered"
},
"created_at": "2024-11-11T14:01:08.087Z",
"updated_at": "2024-11-11T14:01:08.087Z"
}
]
}
Callers
Get Phone Numbers
Retrieve a list of all phone numbers (callers) associated with your account.
GET
callers
curl --request GET \
--url 'callers' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"responseCode": 2000,
"message": "Phone numbers fetched successfully",
"data": [
{
"id": "***",
"user_id": "***",
"phone_number": "+18252549760",
"phone_number_details": {
"sid": "***",
"uri": "***",
"beta": false,
"origin": "twilio",
"smsUrl": "",
"status": "in-use",
"trunkSid": null,
"voiceUrl": null,
"bundleSid": null,
"smsMethod": "POST",
"accountSid": "***",
"addressSid": null,
"apiVersion": "2010-04-01",
"dateCreated": "2024-11-11T14:01:05.000Z",
"dateUpdated": "2024-11-11T14:01:05.000Z",
"identitySid": null,
"phoneNumber": "+18252549760",
"voiceMethod": "POST",
"capabilities": {
"fax": false,
"mms": true,
"sms": true,
"voice": true
},
"friendlyName": "(825) 254-9760",
"smsFallbackUrl": "",
"statusCallback": "",
"emergencyStatus": "Active",
"voiceFallbackUrl": null,
"smsApplicationSid": "",
"smsFallbackMethod": "POST",
"addressRequirements": "none",
"emergencyAddressSid": null,
"voiceApplicationSid": null,
"voiceCallerIdLookup": false,
"voiceFallbackMethod": "POST",
"statusCallbackMethod": "POST",
"emergencyAddressStatus": "unregistered"
},
"created_at": "2024-11-11T14:01:08.087Z",
"updated_at": "2024-11-11T14:01:08.087Z"
}
]
}
Headers
string
required
Your API key for authentication. Prefix with
Bearer .curl --request GET \
--url 'callers' \
--header 'Authorization: Bearer YOUR_API_KEY'
Response
The response contains a list of all phone number objects.number
A code indicating the status of the request.
2000 signifies success.string
A human-readable message about the request’s outcome.
object[]
An array of phone number objects.
string
The unique internal identifier for the phone number record.
string
The ID of the user associated with this phone number.
string
The phone number in E.164 format.
object
A detailed object from the provider (e.g., Twilio) containing comprehensive information about the number.
string
The unique SID from the provider for the phone number resource.
string
The phone number formatted for display (e.g.,
(825) 254-9760).string
The current status of the phone number (e.g.,
in-use).object
An object indicating the capabilities of the number (voice, sms, mms, fax).
string (ISO 8601)
The timestamp when the phone number record was created in your system.
{
"responseCode": 2000,
"message": "Phone numbers fetched successfully",
"data": [
{
"id": "***",
"user_id": "***",
"phone_number": "+18252549760",
"phone_number_details": {
"sid": "***",
"uri": "***",
"beta": false,
"origin": "twilio",
"smsUrl": "",
"status": "in-use",
"trunkSid": null,
"voiceUrl": null,
"bundleSid": null,
"smsMethod": "POST",
"accountSid": "***",
"addressSid": null,
"apiVersion": "2010-04-01",
"dateCreated": "2024-11-11T14:01:05.000Z",
"dateUpdated": "2024-11-11T14:01:05.000Z",
"identitySid": null,
"phoneNumber": "+18252549760",
"voiceMethod": "POST",
"capabilities": {
"fax": false,
"mms": true,
"sms": true,
"voice": true
},
"friendlyName": "(825) 254-9760",
"smsFallbackUrl": "",
"statusCallback": "",
"emergencyStatus": "Active",
"voiceFallbackUrl": null,
"smsApplicationSid": "",
"smsFallbackMethod": "POST",
"addressRequirements": "none",
"emergencyAddressSid": null,
"voiceApplicationSid": null,
"voiceCallerIdLookup": false,
"voiceFallbackMethod": "POST",
"statusCallbackMethod": "POST",
"emergencyAddressStatus": "unregistered"
},
"created_at": "2024-11-11T14:01:08.087Z",
"updated_at": "2024-11-11T14:01:08.087Z"
}
]
}